%set_libtool_version 1.5
#%set_autoconf_version 2.5
#%set_automake_version 1.6

Name: irssi
Version: 0.8.10
Release: alt0.1

Summary: Irssi is an IRC client
License: GPL
Group: Networking/IRC

Packager: Nazar Yurpeak <phoenix@altlinux.org>

Url: http://irssi.org/
Source: http://irssi.org/irssi/files/irssi-%version.tar.bz2
Source1: irssi-icons.tar.bz2
Patch1: %name-0.8.9-perl_scripts.fix.alt.patch
#Patch2: %name-%version-autogen.sh.patch

#-BuildRequires: libtool_1.5 gcc-c++ glib2-devel libssl-devel libstdc++-devel libtinfo-devel perl-devel pkgconfig

# Automatically added by buildreq on Fri Jul 16 2004
BuildRequires: libtool_1.5 gcc-c++ gcc-g77 glib2-devel libssl-devel libstdc++-devel libtinfo-devel perl-devel pkgconfig

%description
Irssi is a textUI IRC client with IPv6 support written by
Timo Sirainen <a@sicom.fi>.

More information can be found at http://irssi.org

%package devel
Group: Development/C
Summary: Header files and static libs for the development of irssi applications
Requires: %name = %version-%release

%description devel
Header files and static libs for the development of irssi applications.

#%package -n perl-Irssi
#Group: Networking/IRC
#Summary: Perl extension for irssi
#Requires: %name = %version-%release
#hack (FIX ME!)
#AutoReq: noperl
#%set_perl_req_method relaxed

#%description -n perl-Irssi
#Perl extension for irssi.

%package perl
Group: Networking/IRC
Summary: Perl scripts for irssi
#Requires: perl-Irssi = %version-%release
#hack (FIX ME!)
#AutoReq: noperl
#%set_perl_req_method relaxed

%description perl
Perl scripts for irssi.


%prep
%setup -q
%setup -T -D -a1 -q
%patch1 -p1
#%patch2

%build
#find -type f -name Makefile.am -print0 | xargs -r0 %__subst -p \
#        's/_LIBRARIES/_LTLIBRARIES/g; s/\.a\>/.la/g; s/_a_/_la_/g'
#%__aclocal
#%__automake -a -f
#%__autoconf
#./autogen.sh
%configure \
	--with-modules \
	--with-plugins \
	--enable-ipv6 \
	--without-socks \
	--with-terminfo \
	--without-ncurses \
	--with-perl=module \
	--with-glib2 \
	--with-perl-lib=vendor \
	--with-proxy \
	--with-bot \
	--with-imlib \
	--with-textui
#	--disable-static

%make_build

%install
make install DESTDIR="$RPM_BUILD_ROOT"

# Menu entries
mkdir -p %buildroot%_iconsdir
mkdir -p %buildroot%_menudir

cat << EOF >%buildroot%_menudir/%name
?package(%name): \
needs="text" \
section="Networking/Chat" \
title="Irssi" \
icon="irssi.png" \
longtitle="A Text-UI based Irc Client" \
section="Networking/Chat" \
command="irssi"
EOF

# mdk icons
install -D -m 644 %{name}48.png $RPM_BUILD_ROOT%_liconsdir/%name.png
install -D -m 644 %{name}32.png $RPM_BUILD_ROOT%_iconsdir/%name.png
install -D -m 644 %{name}16.png $RPM_BUILD_ROOT%_miconsdir/%name.png

%clean
rm -rf %buildroot

%files
%doc AUTHORS COPYING INSTALL ChangeLog README TODO NEWS
%attr(755,root,root) %_bindir/*
%_datadir/irssi/help/
%_datadir/irssi/themes/
%_docdir/irssi/*
%config(noreplace) %_sysconfdir/irssi.conf
%_liconsdir/*.png
%_miconsdir/*.png
%_iconsdir/*.png
%_menudir/irssi
%_mandir/man?/*
%_libdir/irssi/modules/*proxy*.so
%_libdir/irssi/modules/*proxy*.so.*

%files perl
%perl_vendor_archlib/Irssi/*
%perl_vendor_autolib/Irssi/*
%perl_vendor_archlib/Irssi.pm
%_libdir/irssi/modules/*perl*.so
#%_libdir/irssi/modules/*perl*.la
%_datadir/irssi/scripts/*

%files devel
%doc AUTHORS COPYING INSTALL ChangeLog README TODO NEWS
%_libdir/irssi/modules/*.a
%_includedir/irssi/*

#%files -n perl-Irssi

%post
%update_menus

%postun
%clean_menus

%changelog
* Mon Jul 16 2004 Nazar Yurpeak <phoenix@altlinux.org> 0.8.10-alt0.1
- CVS 0.8.10-rc4

* Mon May 31 2004 Nazar Yurpeak <phoenix@altlinux.org> 0.8.9-alt3
- Updated BuildRequires

* Thu May 27 2004 Nazar Yurpeak <phoenix@altlinux.org> 0.8.9-alt2
- fixed perl scripts

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.8.9-alt1.1
- Rebuilt with openssl-0.9.7d.

* Thu Jan 22 2004 Nazar Yurpeak <phoenix@altlinux.org> 0.8.9-alt1
- 0.8.9
- temprorary removed perl scripts

* Wed Dec 10 2003 Nazar Yurpeak <phoenix@altlinux.org> 0.8.8-alt1
- 0.8.8

* Tue Aug 12 2003 Rider <rider@altlinux.ru> 0.8.6-alt4
- fix bug #0002794 (menu group changed to Chat)

* Tue Jan 21 2003 Rider <rider@altlinux.ru> 0.8.6-alt3
- fix russian summary

* Thu Jan 16 2003 Rider <rider@altlinux.ru> 0.8.6-alt2
- build with perl
- updated build requires
- build with glib2

* Fri Nov 22 2002 Rider <rider@altlinux.ru> 0.8.6-alt1
- new version
- remove perl core dump fix (included to mainstream)

* Wed Oct 09 2002 Rider <rider@altlinux.ru> 0.8.5-alt3
- removed perl scripts

* Tue Oct 08 2002 Rider <rider@altlinux.ru> 0.8.5-alt2
- requires & buildrequires fix

* Sat Oct 05 2002 Rider <rider@altlinux.ru> 0.8.5-alt1
- new version
- update specfile from MDK
- build without perl

* Wed Apr 03 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.7.98.4-alt4
- Build without bind-devel.

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 0.7.98.4-alt3
- 0.7.98.4
- removed menu entry

* Thu Jul 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.7.98.3-alt3
- Rebuilt with new perl.

* Mon Jun 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.7.98.3-alt2
- Specfile minor cleanup.
- Rebuilt with perl-5.6.1

* Mon May 14 2001 Sergie Pugachev <fd_rag@altlinux.ru> 0.7.98.3-alt1
- new version

* Sun Jan 14 2001 AEN <aen@logic.ru>
- RE adaptation

* Thu Nov 16 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.96-2mdk
- Fix again build for archs <> than i386

* Mon Nov 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.96-1mdk
- big release ;-)
- build with bot , perl , mysql support
- text based support
- provides all icons
- mv from /usr/doc to /usr/share/doc

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-10mdk
- icons should be transparents.
- include menu entry in the body of spec file.
- more macrozifications.

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-9mdk
- add 32*32 icon for menu & replace gif icons format by xpm format.

* Wed Sep 20 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.20.1-8mdk
- %%config(noreplace)
- Remove stupid hard coded PATH in Menu entry
- Macros
- Use %%_tmppath for BuidRoot
- Spec clean up
- Remove french Description and Summary
- Fix typos in longtile (Menu entry)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.20.1-7mdk
- automatically added BuildRequires

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-6mdk
- change icons
- clean spec.

* Fri Apr 04 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-5mdk
- add icons

* Sat Apr 1 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-3mdk
- add menu entry

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-2mdk
- group fix

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.20.1

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Clean up the file section (removes xmms conflict)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.18 :
    - Authors Note :
    There's still a small bug in 0.7.18 irssi, if you
    use GtkText to print text it won't scroll down
    automatically. Solution: Use irssi text widget..
- update URL & src url
- Enable SMP check/build & add bzip2 macro

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.7.14

* Mon Jul 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild (4mdk)

* Thu Jul 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --sysconfdir=/etc

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant
- Change Group to Internet

* Mon Mar 29 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.6.
- text mode client re-added.

* Thu Mar 25 1999 JT Traub <jtraub@dragoncat.net>
- Updated sources

* Sat Mar 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.4 sources
- Added the irssi-text bin to the package.

* Mon Feb 22 1999 JT Traub <jtraub@dragoncat.net>
- Made spec file compliant with RHCN guidelines.

* Sun Feb 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.6.0 sources.
- Cleaned up spec file to make it relocatable on install

* Sun Feb 7 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.5.0
- removed obsolete patch lines

* Sat Feb 3 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.4.0
- Deleted old patch line

* Sat Jan 30 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.3.6
- Updated spec to install the .desktop file.
- Removed the now obsolete patch lines

* Wed Jan 27 1999  JT Traub <jtraub@dragoncat.net>
- Upgraded to 0.3.5

* Sun Jan 24 1999  JT Traub <jtraub@dragoncat.net>
- First attempt at building this

